## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 9;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global modname  autocommand
%global projname %{modname}

%bcond_without tests

Name:           python-%{projname}
Version:        2.2.2
Release:        %autorelease
Summary:        Generate argparse parsers from function signatures

License:        LGPL-3.0-or-later
URL:            https://github.com/Lucretiel/%{projname}
Source0:        %{pypi_source %{projname}}

# https://bugzilla.redhat.com/show_bug.cgi?id=2259644
Patch:          %{url}/pull/33.patch#/001-setuptools-fix.patch

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3-pytest
%endif

%global _description %{expand:
A library to automatically generate and run simple argparse parsers from
function signatures}

%description %_description

%package     -n python3-%{projname}
Summary:        %{summary}

%description -n python3-%{projname} %_description

%prep
%autosetup -n %{projname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{modname}

%check
%if %{with tests}
%pytest
%else
%pyproject_check_import
%endif

%files -n python3-%{projname} -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
## START: Generated by rpmautospec
* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jul 15 2024 Ondrej Mosnáček <omosnacek@gmail.com> - 2.2.2-7
- Update patch from a newer pull request

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 2.2.2-6
- Rebuilt for Python 3.13

* Mon Jan 29 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Ondrej Mosnáček <omosnacek@gmail.com> - 2.2.2-3
- Add a patch to fix build with setuptools 69.0.3 (fedora#2259644)

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Sep 07 2023 Ondrej Mosnáček <omosnacek@gmail.com> - 2.2.2-1
- Initial import (fedora#2232629)
## END: Generated by rpmautospec
